org.apache.tiles.request.freemarker

## Class FreemarkerRequestUtil

- java.lang.Object
- - org.apache.tiles.request.freemarker.FreemarkerRequestUtil

-     public final class FreemarkerRequestUtil
      extends Object

  Utilities to work with Freemarker requests.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationContext` | `getApplicationContext(freemarker.core.Environment env)` Returns the application context.
    `static freemarker.ext.servlet.HttpRequestHashModel` | `getRequestHashModel(freemarker.core.Environment env)` Returns the HTTP request hash model.
    `static freemarker.ext.servlet.ServletContextHashModel` | `getServletContextHashModel(freemarker.core.Environment env)` Returns the servlet context hash model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRequestHashModel

          public static freemarker.ext.servlet.HttpRequestHashModel getRequestHashModel(freemarker.core.Environment env)

      Returns the HTTP request hash model.
      Parameters:
        `env` - The current FreeMarker environment.
      Returns:
        The request hash model.

    - #### getServletContextHashModel

          public static freemarker.ext.servlet.ServletContextHashModel getServletContextHashModel(freemarker.core.Environment env)

      Returns the servlet context hash model.
      Parameters:
        `env` - The current FreeMarker environment.
      Returns:
        The servlet context hash model.

    - #### getApplicationContext

          public static ApplicationContext getApplicationContext(freemarker.core.Environment env)

      Returns the application context. It must be first saved creating an `ApplicationContext` and using `ApplicationAccess.register(ApplicationContext)`.
      Parameters:
        `env` - The Freemarker environment.
      Returns:
        The

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.